/** @format */
import request from "@/utils/request";

export function instrumentList() {
  return request({
    url: "/api/check/instrumentList",
    method: "get",
  });
}

//获取匹配的检定机构
export function assignOrganization(data) {
  return request({
    url: "/api/check/assignOrganization",
    method: "post",
    data,
  });
}

//模糊搜索检定单位
export function listMechanismLikeName(params) {
  return request({
    url: "/api/check/listMechanismLikeName",
    method: "get",
    params,
  });
}

//检定新增
export function startSubmitCheckOrder(data) {
  return request({
    url: "/api/check/startSubmitCheckOrder",
    method: "post",
    data,
  });
}

//获取检定分配的器具列表
export function listByIds(data) {
  return request({
    url: "/api/instrument/listByIds",
    method: "post",
    data,
  });
}

//获取检定记录
export function getPageList(params) {
  return request({
    url: "/api/check/page-list",
    method: "get",
    params,
  });
}

//获取机构检定任务单
export function orderApplyList(id) {
  return request({
    url: "/api/check/orderApplyList/" + id,
    method: "get",
  });
}

//获取检定机构任务单
export function orderApplyInstrumentList(id) {
  return request({
    url: "/api/check/orderApplyInstrumentList/" + id,
    method: "get",
  });
}

//获取器具流转记录
export function checkOrderInstrumentHistory(id) {
  return request({
    url: "/api/check/checkOrderInstrumentHistory/" + id,
    method: "get",
  });
}

//器具单撤回功能
export function recallCheckOrderApply(params) {
  return request({
    url: "/api/check/recallCheckOrderApply",
    method: "get",
    params,
  });
}
